<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Martin Salles <martin@userlike.com>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/



/**
 * Class that adds the wizard icon.
 *
 * @author	Martin Salles <martin@userlike.com>
 * @package	TYPO3
 * @subpackage	tx_userlike
 */
class tx_userlike_wizicon {

	const KEY = 'userlike';

	/**
	 * Processing the wizard items array
	 *
	 * @param array $wizardItems The wizard items
	 * @return array Modified array with wizard items
	 */
	public function proc(array $wizardItems) {
		$LL = $this->includeLocalLang();

		// Add icons.
		$wizardItems['plugins_tx_' . self::KEY] = array(
			'icon'		=> t3lib_extMgm::extRelPath(self::KEY) . 'Resources/Private/Icons/ext_icon.gif',
			'title'		=> $GLOBALS['LANG']->getLLL('userlike_widget_title', $LL),
			'description'	=> $GLOBALS['LANG']->getLLL('userlike_widget_description', $LL),
			'params'	=> '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=' . self::KEY . '_widget'
		);

		// Return modified array.
		return $wizardItems;
	}

	/**
	 * Reads the [extDir]/locallang.xml and returns the $LOCAL_LANG array found in that file.
	 *
	 * @return array The array with language labels
	 */
	protected function includeLocalLang() {

		$file = t3lib_extMgm::extPath(self::KEY) . 'Resources/Private/Language/locallang_be.xml';

		if(method_exists(t3lib_div, 'readLLXMLfile'))
			return t3lib_div::readLLXMLfile($file, $GLOBALS['LANG']->lang);
		else
			return t3lib_div::readLLfile($file, $GLOBALS['LANG']->lang);

	}
}

if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/userlike/Resources/Private/Php/class.tx_userlike_wizicon.php'])) {
	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/userlike/Resources/Private/Php/class.tx_userlike_wizicon.php']);
}

?>